%define oraversion 11.2.0.2.0.2

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Summary: Oracle access for Python
Name: oracle-python
Version: 5.0.4.3
Release: op5.1
Group: op5/system-addons
License: GPLv2
Source: %name-%version.tar.gz
Requires: oracle-instantclient11.2-basic
BuildRequires: python-devel
BuildRequires: oracle-instantclient11.2-devel >= %oraversion
BuildRequires: oracle-instantclient11.2-basic >= %oraversion
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
oracle-python provides database access for Python applications through
the Python DB API 2.0.


%prep
%setup -q


%build
arch=
if test $(uname -m) = 'x86_64'; then
	arch=64
fi
CFLAGS="$RPM_OPT_FLAGS" ORACLE_HOME=/usr/lib/oracle/11.2/client$arch python setup.py build


%install
rm -rf %buildroot
mkdir -p %buildroot
arch=
if test $(uname -m) = 'x86_64'; then
	arch=64
fi
ORACLE_HOME=/usr/lib/oracle/11.2/client$arch python setup.py install \
	--skip-build --root=%buildroot --prefix=%{_prefix}

%files
%defattr(-,root,root)
%python_sitearch/*


%clean
rm -rf %buildroot


%changelog
* Thu Jan 27 2011 Andreas Ericsson <ae@op5.se>
- Initial specfile creation
